Subject: Re: question about fast-reroute

From: [email-masked]
Date: Fri, 8 Mar 2002 08:16:28 +0100

Doug, Sachin,

The example you give is interesting because it shows that sometimes rapid
merging with the primary LSP is not the best thing to do. I guess the PLR
could take this into account when it does its ERO computation for the
backup path based on the information it receives in the RESV message.
Alternatively, the ingress could specify it if you have backup ERO/backup
RRO functionality supported in the DETOUR method.

Sven.

Sachin Kalra <[email-masked]> on 07/03/2002 17:22:55

  To:          "Doug Degan" <[email-masked]>,         
               [email-masked]                                    
                                                              
  cc:          (bcc: Sven VAN DEN BOSCH/BE/ALCATEL)           

  Subject      Re: question about fast-reroute                
  :                                                           

Doug:

If link between [T2] and [E] fails, then [PLR] should not switch the
traffic to Bypass Tunnel.

I agree that PLR should NOT know for each possible failure position whether
it is protected against it.

Whereas, it should know the positions that it protects. Thus in this case,
PLR should know that it protects
a. Link [PLR]--[T1]
b. node [T1]
c. Link [T1]--[MP]

So, whenever PLR receives a PATH-ERR, it will know if protection can be
done.

Regards,
Sachin Kalra

At 05:55 PM 3/7/02 +0200, Doug Degan wrote:
>0) what is wrong in this story?
>    --------------------------------------
>
>consider the folowing topology:
>
>
>
>
>[I]---[PLR]----[T1]-----[MP]-----[T2]----[E]
>         \                    /
>          \------------------/
>             BYPASS/DETOUR
>
>
>
>primary LSP is from I to E,  it is protected at PLR by BYPASS/DETOUR lsp.
>(this wasn't configured manually, but was done upon configuring the
>protected LSP)
>
>now the link between T2 and E fails.
>T2 send PATH-ERR upstream cause it can't protect the primary LSP.
>same goes to MP and T1 (sending PATH-ERR upstream).
>PLR get the PATH_ERR and switch the traffic to the BYPASS/DETOUR.
>
>if what I have describes may happen I have other questions except the "0"
>question:
>1) should PLR know per each possible failure position whether it is
>protected against it? (how...)
>
>
>2) should PLR always select the "farest-merge" bypass? (in this case it
>might have prevented traffic loss).
>
>thanks in forward.
>doug.
>
>
>
>

===========================================================
Sachin Kalra
Modeling Engineer
OPNET Technologies, Inc.
(240)-497-3000 x2796
===========================================================

(See attached file: att1.htm)